TULISAN - Bug #3815

Nilai Payment Amount di Header SO tidak sesuai dengan yang seharusnya
08/27/2025 01:33 PM - haykal haykal

Status: Assigned Start date: 08/27/2025
Priority: High Due date: 09/01/2025
Assignee: Kezia Pawitra Yulianti % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Developer,

Ada bugs ketika user Tulisan melakukan testing transaksi Sales dari CRM. Bugsnya itu bisa dilihat pada dokumen SO 00000991,
disitu Payment Amountnya adalah 2180 (Foto 1) padahal harusnya tidak segitu. Harusnya Payment Amountnya adalah Total Net
Price yg ada di bagian Item (Foto 2) sesuai total harga barang yang dia beli.

Dan nilai Payment Amount di bagian Header SO tersebut bukan editan, karena bisa dilihat di db CreateDate dan ChangeDatenya
sama. Jadi ini hasil langsung dari transaksi CRMnya. Dan case seperti ini bukan hanya terjadi di DocNo SO 00000991 saja, tapi juga
di DocNo 00000984 - 00000995.

Tampaknya karena hal ini hasil jurnal Accountingnya juga jadi tidak balance (jauh perbedaannya) seperti bisa dilihat contohnya di
dokumen AR 00000908.

Tolong bantu dianalisa dan dicari tahu kenapa bisa seperti itu dan tolong diperbaiki ya.
Terimakasih.
Menu Path: Logistic & Service > Sales Management > Sales Order

Port: https:/tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (di 89)

History

#1 - 08/27/2025 02:35 PM - Kezia Pawitra Yulianti

- Due date set to 09/01/2025

- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to mahlil ..

- Priority changed from Normal to High

#2 - 08/27/2025 02:37 PM - Kezia Pawitra Yulianti
- Assignee changed from mabhlil .. to haykal haykal

haykal test dl yaa

#3 - 08/27/2025 03:15 PM - haykal haykal

- File Kejanggalan di bagian Header.png added

- Assignee changed from haykal haykal to Kezia Pawitra Yulianti

Kalau untk case ini gua kyknya gakbisa ngetest dengan kondisi yg exactly sama dengan yg dilakuin usernya.

Untk barang (MateriallD), quantity, dan harga bisa gua samain.

Tapi ada yg janggal di bagian Headernya. Yang janggal itu adalah seperti di foto yang saya attach ini (Foto 3)

Disitu yg Payment Type dan Payment ID yg telah terpilih adalah EDC CIMB Niaga dan Debit Card (yg gua kotakmerahin), tapi kalau itu yg dipilih
hrsnya field Beban Administrasi Bank (yg saya beri panah merah) harusnya juga terisi. Namun ini tidak. Harusnya itu sudah berjalan seperti bisa

dilihat di dokumen SO 00000972 (Kalau EDC pasti Beban Administrasi Banknya otomatis terisi)

Kejanggalan yg lain adalah karena dia sudah memilih Payment Type dan Payment ID EDC CIMB Niaga Debit Card, maka harusnya field Tanggal
Pembayaran dan Nama Pengirim (Transfer) (yg gua beri kotak orange) dan field Online Payment Atas Nama (yg gua beri kotak biru) itu tidak terisi.
Karena yg gua beri kotak orange itu harusnya cuma bisa terisi kalau dia memilih metode payment yg Transfer dan yg gua beri kotak biru itu harusnya
cuma bisa terisi kalau dia memilih metode Online Payment. Sementara harusnya pop up yg muncul di CRM sebelum Submit Order adalah salah satu
aja. Dalam hal ini seharusnya adalah pop up utk yg pilihan EDC CIMB Niaga Debit Card.

Kalau untk skenario Split Payment sudah tidak ada di CRM, jadi seharusnya impossible terjadi case seperti ini. Kejanggalan ini potentially adalah
another bugs juga yg mesti diconsider.

Files

Harusnya bukan 2180.png 26.5 KB 08/27/2025 haykal haykal
Total Net Price di ltem.png 23.6 KB 08/27/2025 haykal haykal
Kejanggalan di bagian Header.png 28.6 KB 08/27/2025 haykal haykal
